package sexpression;

@DisplayName("symbol")
public class Symbol extends Atom {

    public static final Symbol T = new Symbol("T");

    public static Symbol createQuote() {
        return new Symbol("QUOTE");
    }

    public Symbol(String text) {
        super(text.toUpperCase());
    }

    @Override
    public boolean isSymbol() {
        return true;
    }

}
